import qs from 'qs';

import { requiredParam } from 'sdc-utilities';

export default (function (_ref) {
  var _ref$command = _ref.command,
      command = _ref$command === undefined ? requiredParam('command') : _ref$command,
      _ref$update = _ref.update,
      update = _ref$update === undefined ? requiredParam('update') : _ref$update;
  return {
    create: command('create-space'),
    list: command('list-spaces'),
    update: update('update-space'),
    remove: command('delete-space')
  };
});